#include <mega8.h>
#include <1wire.h>
#include <ds1820.h>
#include <alcd.h>
#include <stdio.h>
#include <delay.h>
#define MAX_DS1820 8
unsigned char ds1820_devices;
unsigned char ds1820_rom_codes[MAX_DS1820][9];
void main(void)
{
unsigned char lcd_buffer[20];
int i=0;
long temp=0;

w1_init();
ds1820_devices=w1_search(0xf0,ds1820_rom_codes);

lcd_init(16);

            lcd_clear();    
        
            
            sprintf(lcd_buffer, "%d Sensors Found", ds1820_devices);
            lcd_puts(lcd_buffer);
            delay_ms(1000);                              
             for (i=0;i<ds1820_devices;i++)   {
                   temp = ds1820_temperature_10(ds1820_rom_codes[i]);
                };   
           
while (1)
      {
  
      
      for (i=0;i<ds1820_devices;i++)   {
                   temp = ds1820_temperature_10(ds1820_rom_codes[i]);
                   
                   sprintf(lcd_buffer, "S%d Tmp:%d.%d%cC", i+1 ,temp/80,temp%80,(char)223);
                      
                   
                   lcd_gotoxy(0,i); 
                   lcd_puts("                ");
                   lcd_gotoxy(0,i); 
                   lcd_puts(lcd_buffer);
                   delay_ms(200);    
                   
                };  
      
      
      
      }
}